/* //////////////////////

REPLACE-GUIDE:
--> XXXXXXXXXXXXXXXXXXXX (Firmenname)
--> rename path in robots.txt (root)

////////////////////// */

/* -------------- */
/* SETUP */
/* DESKTOP */
/* MINI-DESKTOP */
/* TABLET */
/* MOBILE */
/* MINI-MOBILE */
/* SPECIAL BREAKPOINTS */
/* -------------- */

/* SETUP //////////////////////////////////////////////////////////////// */

:root {
  /* ***** Colors */

  /* --- Default */
  --color__dark: #000000;
  --color__light: #ffffff;

  /* --- Corporate */
  --color__primary: #514634;
  --color__primaryDark: #514634;
  --color__primaryLight: #F1EDE6;
  --color__secondary: #514634;
  --color__accent: #514634;


  /* --- System */
  --color__success: #00871b;
  --color__warning: #fea137;
  --color__error: #e09292;

  /* ***** Font Sizes */
  --fsize__h1Large: 6vw;
  /* --fsize__h1: min(8vw, 20rem); */
  --fsize__h1: min(6vw, 5.5rem);
  --fsize__h2: 3.15rem;
  --fsize__h3: 1.8rem;
  --fsize__h4: 1.8rem;
  --fsize__h5: 1.8rem;
  --fsize__h6: 1.8rem;
  --fsize__p: 1.2rem;
  --fsize__s: 0.85rem;

  --isize__regular: 2rem;

  /* ***** Borders */

  --border__small: 0.0625em solid var(--color__primary);
  --border__small--light: 0.0625em solid var(--color__light);
  --border__regular: 0.1em solid var(--color__primary);
  --border__regular--light: 0.1em solid var(--color__light);
  --border__large: 0.25em solid var(--color__primary);
  --border__large--light: 0.25em solid var(--color__light);

  /* ***** Radiuses */

  --radius__small: 0.1rem;
  --radius__regular: 0.2rem;
  --radius__large: 0.4rem;
  --radius__round: 50%;
}

/* FONTS *******************************************************************************/

html,
body {
  font-size: min(1em, 1vw);
  /* ensures that browser's default font size is used as a reference for rem */
  line-height: 1.2em;
  /* ideally the same line-height that is used on p tag */
  background: var(--color__primaryDark);
}

body {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  margin: 0;
  -webkit-font-feature-settings: "kern" 1;
  font-feature-settings: "kern" 1;
  -webkit-font-kerning: normal;
  font-kerning: normal;
  -webkit-font-smoothing: antialiased;
  -moz-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -ms-font-smoothing: antialiased;
  -o-font-smoothing: antialiased;
}

.h1--large {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__h1Large);
  line-height: 1em;
  letter-spacing: 0em;
  color: var(--color__secondary);
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

h1,
.h1 {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__h1);
  line-height: 1em;
  letter-spacing: 0em;
  color: var(--color__secondary);
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

h2,
.h2 {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__h2);
  line-height: 1.1em;
  letter-spacing: 0em;
  color: var(--color__secondary);
  text-decoration: none;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

h3,
h4,
h5,
h6,
.h3,
.h4,
.h5,
.h6 {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__h3);
  line-height: 1.3em;
  letter-spacing: 0em;
  color: var(--color__secondary);
  text-decoration: none;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

p,
li,
p a,
.p,
.p a,
address {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-size: var(--fsize__p);
  font-style: normal;
  line-height: 1.4em;
  letter-spacing: 0;
  text-transform: none;
  color: var(--color__secondary);
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

p a.noline,
.p a.noline,
p a.noline:hover,
.p a.noline:hover,
a.noline:hover,
a.noline:hover {
  border-bottom: 0;
  color: inherit;
  background: transparent;
  padding: 0;
}

.s {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__s);
  line-height: 1.1em;
  letter-spacing: 0;
  color: var(--color__secondary);
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

.p.s a,
.s a {
  font-size: var(--fsize__s);
}

.fsize--marginal {
  font-size: var(--fsize_s);
}

.uppercase {
  text-transform: uppercase;
}

strong,
b {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  color: var(--color__secondary);
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

blockquote {
  margin: 0;
}

/* ––– Unordered List */

.text-wrap ul {
  padding-left: 1.3em;
}

ul.plain {
  padding-left: 0;
}

ul.plain li {
  list-style: none;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

ul.plain li::before {
  content: none;
}

/* */

ul.list-arrow {
  position: relative;
  padding-left: 2.5em;
  margin: 0;
}

ul.list-arrow li {
  list-style: none;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
  margin-bottom: 0.7em;
}

ul.list-arrow li:last-of-type {
  margin-bottom: 0;
}

ul.list-arrow li::before {
  position: absolute;
  left: 0em;
  display: inline-block;
  font-size: 0.8em;
  font-family: "";
  font-style: normal;
  font-weight: normal;
  line-height: 1.5em;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "\0047";
}

/* ***** locked wysiwyg styles to avoid different title sizes */

.wysiwyg-editor h1,
.wysiwyg-editor h2,
.wysiwyg-editor h3,
.wysiwyg-editor h4,
.wysiwyg-editor h5,
.wysiwyg-editor h6 {
  font-family: "Schibsted Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: var(--fsize__h2);
  line-height: 3.75em;
  letter-spacing: 0;
  color: var(--color__primary);
  text-decoration: none;
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
  overflow: visible;
}

/* LINKS / GLOBAL INTERACTIONS *******************************************************************************/

/* ***** Links */

p a,
.p a {
  text-decoration: none;
  border-bottom: var(--border__small);
  padding: 0em 0em 0.0625em 0em;
}

p a:hover,
.p a:hover {
  cursor: pointer;
  border-bottom: var(--border__small);
  color: var(--color__secondary);
}

p a strong,
p a b,
.p a strong,
.p a b {
  padding: 0;
  font-weight: 700;
}

a,
a:hover {
  color: var(--color__secondary);
  text-decoration: none;
  cursor: pointer;
}


.fcolor--light a:hover {
  color: var(--color__light);
}

/* ***** Buttons */

.button {
  background: var(--color__primary);
  font-size: var(--fsize__p);
  line-height: 1em;
  color: var(--color__light);
  border-radius: 2em;
  padding: 0.2em 1em 0.2em;
  border: var(--border__regular);
  margin-top: 0em;
  display: inline-block;
  cursor: pointer;
}

a:hover .button,
.button:hover {
  background: var(--color__primary);
  color: var(--color__light);
}

/* -------- hover var 1 */

a:hover .button.button--onSecondary,
.button.button--onSecondary:hover {
  color: var(--color__secondary);
  background: var(--color__primary);
}

/* ---- Button Negative */

.button.neg {
  background: var(--color__light);
  color: var(--color__primary);
  border: var(--border__regular--light);
}

a:hover .button.neg,
.button.neg:hover {
  background: var(--color__light);
  color: var(--color__primary);
}

/* ---- Button Light */

.button.button--light {
  color: var(--color__light);
  border-color: var(--color__light);
}

a:hover .button.button--light,
.button.button--light:hover {
  color: var(--color__primary);
  background: var(--color__light);
}

/* ---- Button Secondary */

.button.button--secondary {
  color: var(--color__secondary);
  border-color: var(--color__secondary);
}

a:hover .button.button--secondary,
.button.button--secondary:hover {
  color: var(--color__light);
  background: var(--color__secondary);
}

/* -------- hover var 1 */

a:hover .button.button--secondary.button--onAccent,
.button.button--secondary.button--onAccent:hover {
  color: var(--color__accent);
  background: var(--color__secondary);
}

/* -------- hover var 2 */

a:hover .button.button--secondary.button--onPrimary,
.button.button--secondary.button--onPrimary:hover {
  color: var(--color__primary);
  background: var(--color__secondary);
}

/* -------- hover var 3 */

a:hover .button.button--secondary.button--onPrimaryDark,
.button.button--secondary.button--onPrimaryDark:hover {
  color: var(--color__primaryDark);
  background: var(--color__secondary);
}

/* ---- Special Button */

.button.button--special-statement {
  border: 0;
  color: var(--color__secondary);
  background: var(--color__accent);
  transform: rotate(-45deg) translate(1em, -2em);
}

/* --- Centered Button */

.centered-button {
  width: 100%;
  text-align: center;
  margin: 1.875em 0;
}

.centered-button .button {
  display: inline;
}

/* ***** Default Interactions */

::-moz-selection {
  background: var(--color__primary);
  color: var(--color__light);
}

::selection {
  background: var(--color__primary);
  color: var(--color__light);
}

*:focus {
  outline: none;
  /* background-color: var(--color__primary) !important;
  color: var(--color__light);
  mix-blend-mode: difference; */
}

a:focus-visible {
  outline: var(--border__regular);
}

a:focus-visible .covered-image-wrap::after,
a:focus-visible .contained-image-wrap::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.5;
  background: var(--color__primary);
}

.swiper-button-next:focus-visible:after,
.swiper-button-prev:focus-visible:after {
  border: 0.0625rem solid var(--color__light);
  padding: 0.25em;
  background: var(--color__primary);
}

.swiper-pagination-bullet:focus-visible {
  transform: scale(1.1);
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}

#page {
  width: 100vw;
  overflow: hidden;
}

/* MISC *******************************************************************************/

/* ***** hide stuff on specific breakpoints */

.no-lg {
  display: none;
}

/* DESKTOP //////////////////////////////////////////////////////////////// */
/*
01. Presets
02. Footer
*/

/*
-----------------------------------------------------------------------------

01. Presets

-----------------------------------------------------------------------------
*/

/* LAYOUT *******************************************************************************/

main {
  position: relative;
  overflow: hidden;
}

.main__inner {
  margin-top: 0;
  /* Space to Navigation */
}

.sec-wrap {
  width: 100%;
  height: auto;
  background: var(--color_secondary);
  position: relative;
}

.sec-wrap__inner {
  position: relative;
  width: 100%;
  height: auto;
  max-width: 80em;
  margin: auto;
  padding: 3em 2em;
}

.sec-wrap__inner.pxy0 {
  padding: 0;
}

.sec-wrap__inner.px0 {
  padding-left: 0;
  padding-right: 0;
}

.sec-wrap__inner.full {
  max-width: 100%;
}

.sec-wrap__inner.large {
  max-width: 100em;
}

.sec-wrap__inner.slim {
  max-width: 62.5em;
}

.sec-wrap__inner.slimmer {
  max-width: 50em;
}

.sec-wrap__inner.slim-af {
  max-width: 35em;
}

/* ***** Text columns */

.text-2-columns {
  column-count: 2;
  -webkit-column-count: 2;
  -moz-column-count: 2;
  -ms-column-count: 2;
  column-gap: 1.875em;
  -webkit-column-gap: 1.875em;
  -moz-column-gap: 1.875em;
  -ms-column-gap: 1.875em;
  margin: 1.875em 0;
}

.text-3-columns {
  column-count: 3;
  -webkit-column-count: 3;
  -moz-column-count: 3;
  -ms-column-count: 3;
  column-gap: 2em;
  -webkit-column-gap: 2em;
  -moz-column-gap: 2em;
  -ms-column-gap: 2em;
}

/* ***** Text overflow */

.nobreak {
  white-space: nowrap;
}

.shorten {
  overflow: hidden;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/* --- Topic Box */

.topic-box,
.topic-box--narrow {
  position: relative;
  height: 100%;
  min-height: 13em;
}

.topic-box .topic-button {
  position: absolute;
  z-index: 1;
  bottom: 0;
}

.topic-box--narrow .topic-button {
  position: absolute;
  z-index: 1;
  bottom: 0;
  left: 1em;
}

/* --- Centered Text */

.centered-text,
.centered-text * {
  text-align: center;
}

/* --- Left Text */

.left-text,
.left-text * {
  text-align: left;
}

/* --- Right Text */

.right-text,
.right-text * {
  text-align: right;
}

/* ***** Centered image */

.centered-image-wrap {
  width: 100%;
  margin: auto;
  height: 28em;
  position: relative;
  overflow: hidden;
  /* fallback for bg-img usage */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.centered-image-wrap img {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
  margin-right: -50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.centered-image-wrap.full img {
  width: 100%;
}

/* ***** Covered image wrap */

.covered-image-wrap {
  position: relative;
  overflow: hidden;
  height: 100%;
  width: 100%;
}

.covered-image-wrap img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

/* ***** Contained image wrap */

.contained-image-wrap {
  position: relative;
  overflow: hidden;
  height: 100%;
  width: 100%;
}

.contained-image-wrap img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
}

/**** ie-browser fixes */

.browser-ie .covered-image-wrap,
.browser-edge .covered-image-wrap {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

/* ***** Vertical centered */

.centered--vertical {
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

/*
-----------------------------------------------------------------------------

02. Footer

-----------------------------------------------------------------------------
*/

.footer-wrap {
  position: relative;
  z-index: 99;
  width: 100%;
  height: auto;
  margin-top: -3rem;
}


.fmode--primary .footer-wrap *,
.fmode--primary .footer-wrap a,
.fmode--primary .footer-wrap a:hover {
  color: var(--color__primary);
}

.fmode--secondary .footer-wrap *,
.fmode--secondary .footer-wrap a,
.fmode--secondary .footer-wrap a:hover {
  color: var(--color__secondary);
}

.fmode--light *,
.fmode--light a,
.fmode--light a:hover {
  color: var(--color__light);
}

/* MINI-DESKTOP //////////////////////////////////////////////////////////////// */
/*
01. Presets
02. Footer
*/

@media only screen and (max-width: 80em) {
  /*
  -----------------------------------------------------------------------------

  01. Presets

  -----------------------------------------------------------------------------
  */

  /* MISC *******************************************************************************/

  html,
  body {
    font-size: min(1em, 1vw);
  }
}

/* TABLET //////////////////////////////////////////////////////////////// */
/*
01. Presets
02. Footer
*/

@media only screen and (max-width: 55em) {
  /*
  -----------------------------------------------------------------------------

  01. Presets

  -----------------------------------------------------------------------------
  */

  /* MISC *******************************************************************************/

  :root {
    /* ***** Font Sizes */
    --fsize__h1: 3rem;
    --fsize__h2: 2.8rem;

    /* ***** Radiuses */
    --radius__regular: 0.3rem;
  }

  html,
  body {
    font-size: min(1em, 1.5vw);
  }

  .only-lg {
    display: none;
  }

  .no-md {
    display: none;
  }

  .no-lg {
    display: inherit;
  }

  span.no-lg {
    display: inline;
  }

  /* LAYOUT *******************************************************************************/

  .main__inner {
    margin-top: 0;
  }

  /* --- Topic Box */

  .topic-box h2 {
    font-size: var(--fsize__h1);
    hyphens: auto;
  }

  /*
  -----------------------------------------------------------------------------

  02. Footer

  -----------------------------------------------------------------------------
  */


  /* .footer-wrap {
    height: 4.25em;
    margin-top: -4.25em;
  } */
}

/* MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Presets
02. Footer
*/

@media only screen and (max-width: 36em) {
  /*
  -----------------------------------------------------------------------------

  01. Presets

  -----------------------------------------------------------------------------
  */

  /* MISC *******************************************************************************/

  :root {
    /* ***** Font Sizes */
    --fsize__p: 1.5rem;
  }

  html,
  body {
    font-size: min(1em, 2vw);
  }

  .no-sm {
    display: none;
  }

  /* .no-md {
    display: inherit;
  } */

  /* span.no-md {
    display: inline;
  } */

  /* LAYOUT *******************************************************************************/

  .main__inner {
    margin-top: 0;
    /* Space to Navigation */
  }

  /**/

  .text-2-columns {
    column-count: 1;
    -webkit-column-count: 1;
    -moz-column-count: 1;
    -ms-column-count: 1;
  }

  .text-3-columns {
    column-count: 1;
    -webkit-column-count: 1;
    -moz-column-count: 1;
    -ms-column-count: 1;
  }

  /* ---- Special Button */

  .button.button--special-statement {
    position: absolute;
    transform: rotate(-35deg) translate(-4.5em, 0.5em);
  }

  /*
  -----------------------------------------------------------------------------

  02. Footer

  -----------------------------------------------------------------------------
  */


}

/* MINI-MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Presets
02. Footer
*/

@media only screen and (max-width: 27em) {
  /*
  -----------------------------------------------------------------------------

  01. Presets

  -----------------------------------------------------------------------------
  */

  /* MISC *******************************************************************************/

  :root {
    /* ***** Font Sizes */
    --fsize__h1: 3.4rem;
  }

  html,
  body {
    font-size: min(1em, 2.5vw);
  }

  .no-xs {
    display: none;
  }

  .no-sm {
    display: inherit;
  }

  span.no-sm {
    display: inline;
  }

  /*
  -----------------------------------------------------------------------------

  02. Footer

  -----------------------------------------------------------------------------
  */
}

/* SPECIAL BREAKPOINTS //////////////////////////////////////////////////////// */

/* Printer */

@media print {
  @page {
    margin: 1cm;
  }

  header,
  nav,
  footer {
    display: none;
  }

  img {
    max-width: 31.25em;
    visibility: visible !important;
  }
}